
/* Variables */
:root {
    --main-theme-color: #004AAD;
  }

* {
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
    height: 100%;
}

li {
    list-style: none;
}

.main {
    height: 100%;
}

section {
    scroll-behavior: smooth;
}


/* Header Styles */
.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 15%;
}

.header_logo {
    width: 400px;
}

.nav {
    margin-right: 3rem;
    z-index: 999;
    text-align: right;
}

.nav ul {
    list-style: none;
    display: flex;
}

.nav ul li {
    margin-left: 2rem;
    font-weight: 600;
}



/* banner Styles */

.banner {
    height: 85%;
    display: flex;
    align-items:center;
    margin-left: 5rem;
}

.banner-text {
    font-size: 2.5rem;
    margin-bottom: 8rem;
    line-height: 7rem;
    color: var(--main-theme-color);
}


.bg {
    background: linear-gradient(0deg, rgba(232,242,255,1) 0%, rgba(255,255,255,1) 72%, rgba(255,255,255,1) 100%);
}


/* About Us */

#about-us .row {
    display: flex;
    align-items: center;
}

#about-us .content {
    width: 60%;
}

#about-us .content p {
    margin-top: 2rem;
    line-height: 2rem;
}

.about-image {
    width: 40%;
    height: 100%;
}

.about-image img {
    width: 100%;
}


/* Products Section */

#products {
    padding-bottom: 15rem;
}

#products .row {
    gap: 3rem;
    flex-wrap: wrap;
}

.product-container {
    width: 15%;
    background-color: #fff;
    -webkit-box-shadow: 4px 9px 15px -9px rgba(0,0,0,0.39); 
    box-shadow: 4px 9px 15px -9px rgba(0,0,0,0.39);
    padding: 2rem;
    border: solid 0.2px rgba(226, 226, 226, 0.98);
    border-radius: 0.5rem;
    margin-top: 2rem;
    position: relative;
}

.product-container img {
    width: 100%;
    border-radius: 0.3rem;
}

.progress-bar-container {
    margin-top: 1.6rem;
}

.progress-bar {
    height: 1.4rem;
    border: solid 0.2px rgba(226, 226, 226, 0.98);
    margin: 0.2rem 0;
    border-radius: 0.2rem;
}

.progress {
    background: rgb(0,74,173);
    background: linear-gradient(218deg, rgba(0,74,173,1) 0%, rgba(0,29,99,1) 72%, rgba(0,42,99,1) 100%);
    height: inherit;
}

.progress-bar-container .phase {
    color: #6b6b6b;
}

.tag {
    background-color: #cc0808;
    display: inline;
    padding: 0.3rem;
    color: #fff;
    border-radius: 0.3rem;
    position: absolute;
    top: -10px;
    right: 10px;
    font-size: 0.8rem;
}


/* Footer Section */
footer {
    background: rgb(0,74,173);
    background: linear-gradient(218deg, rgba(0,74,173,1) 0%, rgba(0,29,99,1) 72%, rgba(0,42,99,1) 100%);
    padding: 2rem 0;
    position: relative;
}

footer .row {
}

footer .contact {
    width: 30%;
}

footer .about {
    width: 40%;
    padding-right: 5rem;
    text-align: justify;
}

footer .quick-links {
    width: 30%;
}

footer h4 {
    margin-bottom: 2rem;
}

footer .logo {
    width: 250px;
}

.address {
    margin-top: 2rem;
    color: #fff;
}

.address p {
    margin-top: 1rem;
}

footer .about {
    color: #fff;
    margin-left: 5rem;
}

footer .quick-links {
    color: #fff;
    margin-left: 5rem
}

footer .quick-links li a {
    color: #fff;
}

.quick-links li {
    margin-bottom: 1.2rem;
}

.copyright {
    text-align: center;
    color: #fff;
    opacity: 0.6;
    letter-spacing: 0.1rem;
    font-weight: 100;
}




/* Particle Style */
#particles-js {
    height: 100%;
}

canvas { 
    position: absolute; 
    top: 0;
    height: 100%;
}


/* Layouts */
.container {
    padding: 0 3rem;
}

.row {
    display: flex;
    flex-direction: row;
}

.content {
    padding: 5rem;
}

.blur {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.384);
    position: fixed;
    z-index: 995;
    visibility: hidden;
}

.show-blur {
    visibility: visible;
}


/* Typography */
a {
    text-decoration: none;
    color: #000;
}

p {
    line-height: 1.5rem;
}

.bold {
    font-weight: bold;
}

.section-title {
    color: var(--main-theme-color);
    font-size: 2rem;
    font-weight: 800;
}



/* Hamburger Menu */
.menu-icon-container {
    display: inline-block;
    cursor: pointer;
    margin-right: 2rem;
    z-index: 999;
    position: fixed;
    right: 5px;
    display: none;
}

.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: var(--main-theme-color);
    margin: 6px 0;
    transition: 0.4s;
  }

  .change .bar1 {
    background-color: #fff;
  }

  .change .bar3 {
    background-color: #fff;
  }
  
  .change .bar1 {
    transform: translate(0, 11px) rotate(-45deg);
  }
  
  .change .bar2 {opacity: 0;}
  
  .change .bar3 {
    transform: translate(0, -11px) rotate(45deg);
  }


  .mobile-menu {
    position: fixed;
    background-color: var(--main-theme-color);
    width: 40%;
    height: 100%;
    right: 0;
    transition: all 0s;
    z-index: 996;
    transition: -webkit-transform .5s ease;
    transition: transform .5s ease;
    -webkit-transform: translateX(-10%);
    -ms-transform: translateX(-10%);
    transform: translateX(100%);
    
  }

  .show-menu {
    -webkit-transform: translateX(-110%);
    -ms-transform: translateX(-110%);
    transform: translateX(0%);
  }

  .mobile-menu img {
    width: 100%;
  }

  .mobile-menu ul {
    margin-top: 10rem;
    margin-left: 3rem;
  }

  .mobile-menu li a {
    color: #fff;
    font-size: 1.3rem;
  }

  .mobile-menu li {
    margin-bottom: 2rem;
  }




/* Media Queries */
@media only screen and (max-width: 1024px) {
    .product-container {
        width: 20%;
    }
    footer .logo {
        width: 250px;
    }

    p, li {
        font-size: 0.8rem;
    }

    footer .about {
        width: 50%;
    }
    
    footer .quick-links {
        width: 20%;
        margin-left: 0;
    }

    .copyright {
        font-size: 0.8rem;
    }
  }

  @media only screen and (max-width: 768px) {
    .menu-icon-container {
        display: block;
    }
    .nav {
        display: none;
    }

    .header_logo {
        width: 300px;
    }

    .banner-text {
        font-size: 1.7rem;
        line-height: 5rem;
    }

    #about-us .content {
        width: auto;
        text-align: justify;
        padding: 5rem;
    }

    #about-us .row {
        flex-direction: column;
    }

    .about-image {
        width: auto;
        padding: 0 5rem;
    }

    .product-container {
        width: 33%;
    }

    footer .row {
        flex-direction: column;
    }
    
    footer .contact {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    footer .about {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: 0;
        margin-top: 2rem;
        padding: 0;
    }

    footer .logo {
        width: 200px;
    }

    footer .quick-links {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: 0;
        margin-top: 2rem;
        text-align: center;
    }
  }

  @media only screen and (max-width: 425px) {
    .content {
        padding: 2rem;
    }

    .mobile-menu {
        width: 70%;
    }

    #about-us .content {
        padding: 2rem;
    }

    .about-image {
        padding: 2rem;
    }

    #products .row {
        gap: 0.5rem;
    }

    .product-container {
        width: 100%;
    }

    footer .logo {
        width: 150px;
    }
  }

  @media only screen and (max-width: 375px) {
    .banner {
        margin: 0;
    }

    .banner-text {
        font-size: 1.6rem;
        line-height: 4rem;
        text-align: center;
    }
  }

  @media only screen and (max-width: 320px) {
    .header_logo {
        width: 230px;
    }

    .mobile-menu {
        width: 100%;
    }

    .banner {
        margin: 0;
    }

    .banner-text {
        font-size: 1.6rem;
        line-height: 4rem;
        text-align: center;
    }

   

    .copyright {
        font-size: 0.6rem;
    }
  }